body {
  margin: 0;
  padding: 0;
  /* make it look decent enough */
  background: #edab20 !important;
}

main {
  width: calc(100% - 240px);
  max-width: 550px;
  margin: 60px auto;
}

p {
  font-size: 18px;
  line-height: 28px;
}

* {
  scroll-behavior: smooth;
}


#menuToggle {
  display: block;
  /* You can also use relative/absolute here if you want to stay on the top */
  position: fixed;
  top: 30px;
  left: 30px;
  
  z-index: 999;
  
  -webkit-user-select: none;
  user-select: none;
}


#menuToggle a {
  font-size: 2rem;
  padding: 0px 20px;
  text-decoration: none;
  color: #33bebb;
  background-color:#000;
  border-radius:10px;
  transition: color 0.3s ease;
}

#menuToggle a:hover {
  color: #33bebb;
}


#menuToggle input {
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;
  
  cursor: pointer;
  
  opacity: 0; /* hide this */
  z-index: 99; /* and place it over the hamburger */
  
  -webkit-touch-callout: none;
}

/*
 * Just a quick hamburger
 */
#menuToggle span {
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  
  background: #33bebb;
  border-radius: 3px;
  
  z-index: 1;
  
  transform-origin: 4px 0px;
  
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

#menuToggle span:first-child {
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2) {
  transform-origin: 0% 100%;
}

/* 
 * Transform all the slices of hamburger
 * into a crossmark.
 */
#menuToggle input:checked ~ span {
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: #33bebb;
}

/*
 * But let's hide the middle one.
 */
#menuToggle input:checked ~ span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

/*
 * Oh yeah and the last one should go the other direction
 */
#menuToggle input:checked ~ span:nth-last-child(2) {
  transform: rotate(-45deg) translate(0, -1px);
}

/*
 * Make this absolute positioned
 * at the top left of the screen
 */
#menu {
  position: absolute;
  max-width: 500px;
  width: 100vw;
  height: 100vw;
  max-height: 510px;
  margin: -100px 0 0 -40px;
  padding: 50px;
  padding-top: 60px;
  box-sizing: border-box;
  overflow-y: auto;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  /* to stop flickering of text in safari */
  
  transform-origin: 0% 0%;
  transform: translate(-100%, 0);
  
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
}

#menu li {
  padding: 10px 0;
  font-size: 22px;
}

#menu li label {
  cursor: pointer;
}

#menu li a:hover, #menu li a:active {
  color:antiquewhite;
}

/*
 * And let's slide it in from the left
 */
#menuToggle input:checked ~ ul
{
  transform: none;
}
